package com.froglogic.squish.JobConfiguration;
f=namespace(lib.FormTagLib)

f.invisibleEntry(title: "Config", field: "squishConfig") {
    f.textbox(default:"Default")
}

f.entry(title: "Squish Package", field: "squishPackageName") {
    f.select()
}

f.entry(title: "Test suites", field: "testSuite") {
    f.textarea()
}
f.entry(title: "Abort build on errors", field: "abortBuildOnError") {
    f.checkbox()
}
f.entry(title: "Unstable on errors", field: "unstableBuildOnError") {
    f.checkbox()
}
f.entry(title: "Test cases", field: "testCase") {
    f.textbox()
}
f.entry(title: "Skip test cases", field: "skipTestCases") {
    f.checkbox()
}
f.entry(title: "Host", field: "host") {
    f.textbox()
}
f.entry(title: "Port", field: "port") {
    f.textbox()
}
f.entry(title: "Snooze factor", field: "snoozeFactor") {
    f.textbox( default: "1")
}
f.entry(title: "Result folder", field: "resultFolder") {
    f.textbox()
}
f.entry(title: "Extra options", field: "extraOptions") {
    f.textarea()
}
f.optionalBlock(title:_("sendResult"),
        inline:"true",
        field: "sendResults",
        checked: instance?.sendResults) {
    f.block() {
        f.entry(title: "Project", field: "project") {
            f.textbox();
        }
        f.entry(title: "Labels", field: "labels") {
            f.textbox();
        }
        f.entry(title: "Batch", field: "batch",) {
            f.textbox(default: "${descriptor.defaultTeamServerBatch}");
        }
    }
}
